<?php

function wpdocs_styles() {
	wp_enqueue_style( 'wpdocs-style', get_stylesheet_uri(), wp_get_theme()->get( 'Version' ) );
}
add_action( 'wp_enqueue_scripts', 'wpdocs_styles' );

if ( ! function_exists( 'wpdocs_setup' ) ) {
	function wpdocs_setup() {
            add_theme_support( 'wp-block-styles' );
        }
}
add_action( 'after_setup_theme', 'wpdocs_setup' );

function wpdocs_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'wpdocs_editor_styles' );

/**
 * Add google fonts
 */

function wpdocs_add_google_fonts() {
 
    wp_enqueue_style( 'wpdocs-google-fonts-poppins', 'https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap', false );  
}

add_action( 'wp_enqueue_scripts', 'wpdocs_add_google_fonts' );

add_editor_style(
	array(
	'https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap'
	)
);

/**
 * Amend Prefix text of article titles
 */

add_filter('get_the_archive_title', function ($title) {
    if (is_category()) {
        $title = single_cat_title('WPdocs ', false);
    } elseif (is_tag()) {
        $title = single_tag_title('Articles mentioning ', false);
    } elseif (is_author()) {
        $title = '<span class="vcard">' . get_the_author() . '</span>';
    } elseif (is_tax()) { //for custom post types
        $title = sprintf(__('%1$s'), single_term_title('', false));
    } elseif (is_post_type_archive()) {
        $title = post_type_archive_title('', false);
    }
    return $title;
});

/**
 * Add reusable blocks to WordPress admin menu
 */
function wpdocs_admin_reusable_blocks() {
    add_menu_page( 'Reusable Blocks', 'Blocks', 'edit_posts', 'edit.php?post_type=wp_block', '', 'dashicons-layout', 5 );
}
add_action( 'admin_menu', 'wpdocs_admin_reusable_blocks' );

// flush_rewrite_rules( false );

